PPL 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Parma_Polyhedra_Library::Concrete_Expression_Common< Target > Class Template Reference

Base class for all concrete expressions. More...

`#include <ppl.hh>`

List of all members.

## Public Member Functions
Concrete_Expression_Type | type () const
| Returns the type of \* this.
Concrete_Expression_Kind | kind () const
| Returns the kind of \* this.
template<template< typename T > class Derived>
bool | is () const
| Tests if `*this` has the same kind as `Derived<Target>`.
template<template< typename T > class Derived>
Derived< Target > * | as ()
| Returns a pointer to `*this` converted to type `Derived<Target>*`.
template<template< typename T > class Derived>
const Derived< Target > * | as () const
| Returns a pointer to `*this` converted to type `const Derived<Target>*`.

## Detailed Description

### template<typename Target>
class Parma_Polyhedra_Library::Concrete_Expression_Common< Target >

Base class for all concrete expressions.

The documentation for this class was generated from the following file:

- ppl.hh